package com.amqp.shanxi.service;

import com.rabbitmq.client.Connection;
import org.springframework.stereotype.Component;

@Component
public class ThreadService extends Thread{

    private String type;

    private Connection connection;

    private DeviceStaticDataAMQPService deviceStaticDataAMQPService;

    private RealTimeDataAMQPService realTimeDataAMQPService;

    private AlarmDataAMQPService alarmDataAMQPService;

    public ThreadService() {}

    public ThreadService(String type, Connection connection, DeviceStaticDataAMQPService deviceStaticDataAMQPService, RealTimeDataAMQPService realTimeDataAMQPService, AlarmDataAMQPService alarmDataAMQPService) {
        this.type = type;
        this.connection = connection;
        this.deviceStaticDataAMQPService = deviceStaticDataAMQPService;
        this.realTimeDataAMQPService = realTimeDataAMQPService;
        this.alarmDataAMQPService = alarmDataAMQPService;
    }


    @Override
    public void run() {
        try{
            if("staticData".equals(type)) {
                while(true) {
                    deviceStaticDataAMQPService.run(connection);
                    System.out.println("设备信息发送完成=====================================================================================");
                    Thread.sleep(360000 * 24);
                }
            }else if ("realTimeData".equals(type)) {
                while(true) {
                    realTimeDataAMQPService.run(connection);
                    System.out.println("实时数据发送完成======================================================================================");
                    Thread.sleep(60000 * 5);
                }
            }else if("alarmData".equals(type)){
                while(true) {
                    alarmDataAMQPService.run(connection);
                    System.out.println("设备报警信息发送完成===================================================================================");
                    Thread.sleep(60000);
                }
            }
        }catch(Exception e) {
            e.printStackTrace();
        }
    }
}
